VST 3 Examples: PianoController Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Member Functions | List of all members
PianoController Class Reference

`#include <mdaPianoController.h>`

Inheritance diagram for PianoController:

## Public Member Functions
| PianoController ()
| ~PianoController ()
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
tresult | terminate () SMTG_OVERRIDE
tresult | setParamNormalized (ParamID tag, ParamValue value) SMTG_OVERRIDE
tresult | getParamStringByValue (ParamID tag, ParamValue valueNormalized, String128 string) SMTG_OVERRIDE
tresult | getParamValueByString (ParamID tag, TChar *string, ParamValue &valueNormalized) SMTG_OVERRIDE
Public Member Functions inherited from BaseController
| BaseController ()
tresult | setComponentState (IBStream *state) SMTG_OVERRIDE
tresult | notify (IMessage *message) SMTG_OVERRIDE
int32 | getProgramListCount () SMTG_OVERRIDE
tresult | getProgramListInfo (int32 listIndex, ProgramListInfo &info) SMTG_OVERRIDE
tresult | getProgramName (ProgramListID listId, int32 programIndex, String128 name) SMTG_OVERRIDE
tresult | getMidiControllerAssignment (int32 busIndex, int16 channel, CtrlNumber midiControllerNumber, ParamID &tag) SMTG_OVERRIDE
ParameterContainer & | getParameters ()
| DELEGATE_REFCOUNT (EditControllerEx1) tresult queryInterface(const char *iid
Public Member Functions inherited from EditControllerEx1
| EditControllerEx1 ()
| ~EditControllerEx1 () override
bool | addUnit (Unit *unit)
bool | addProgramList (ProgramList *list)
ProgramList * | getProgramList (ProgramListID listId) const
tresult | notifyProgramListChange (ProgramListID listId, int32 programIndex=kAllProgramInvalid)
int32 | getUnitCount () SMTG_OVERRIDE
tresult | getUnitInfo (int32 unitIndex, UnitInfo &info) SMTG_OVERRIDE
tresult | getProgramInfo (ProgramListID listId, int32 programIndex, CString attributeId, String128 attributeValue) SMTG_OVERRIDE
tresult | hasProgramPitchNames (ProgramListID listId, int32 programIndex) SMTG_OVERRIDE
tresult | getProgramPitchName (ProgramListID listId, int32 programIndex, int16 midiPitch, String128 name) SMTG_OVERRIDE
virtual tresult | setProgramName (ProgramListID listId, int32 programIndex, const String128 name)
UnitID | getSelectedUnit () SMTG_OVERRIDE
tresult | selectUnit (UnitID unitId) SMTG_OVERRIDE
tresult | getUnitByBus (MediaType, BusDirection, int32, int32, UnitID &) SMTG_OVERRIDE
tresult | setUnitProgramData (int32, int32, IBStream *) SMTG_OVERRIDE
virtual tresult | notifyUnitSelection ()
void | update (FUnknown *changedUnknown, int32 message) SMTG_OVERRIDE
Public Member Functions inherited from EditController
| EditController ()
tresult | setState (IBStream *state) SMTG_OVERRIDE
tresult | getState (IBStream *state) SMTG_OVERRIDE
int32 | getParameterCount () SMTG_OVERRIDE
tresult | getParameterInfo (int32 paramIndex, ParameterInfo &info) SMTG_OVERRIDE
ParamValue | normalizedParamToPlain (ParamID tag, ParamValue valueNormalized) SMTG_OVERRIDE
ParamValue | plainParamToNormalized (ParamID tag, ParamValue plainValue) SMTG_OVERRIDE
ParamValue | getParamNormalized (ParamID tag) SMTG_OVERRIDE
tresult | setComponentHandler (IComponentHandler *handler) SMTG_OVERRIDE
IPlugView * | createView (FIDString) SMTG_OVERRIDE
tresult | setKnobMode (KnobMode mode) SMTG_OVERRIDE
tresult | openHelp (TBool) SMTG_OVERRIDE
tresult | openAboutBox (TBool) SMTG_OVERRIDE
virtual tresult | beginEdit (ParamID tag)
virtual tresult | performEdit (ParamID tag, ParamValue valueNormalized)
virtual tresult | endEdit (ParamID tag)
virtual tresult | startGroupEdit ()
virtual tresult | finishGroupEdit ()
virtual void | editorDestroyed (EditorView *)
virtual void | editorAttached (EditorView *)
virtual void | editorRemoved (EditorView *)
virtual Parameter * | getParameterObject (ParamID tag)
virtual tresult | getParameterInfoByTag (ParamID tag, ParameterInfo &info)
virtual tresult | setDirty (TBool state)
virtual tresult | requestOpenEditor (FIDString name=ViewType::kEditor)
IComponentHandler * | getComponentHandler () const

## Static Public Member Functions
static FUnknown * | createInstance (void *)
static | DECLARE_UID (uid, 0xBAC8AA21, 0x216D4754, 0xA7639173, 0xE3BB5F7A)

## Additional Inherited Members
Public Types inherited from BaseController
enum | { kMagicNumber = 9999999, kBypassParam = 'bpas', kPresetParam = 'prst', kModWheelParam = 'modw', kBreathParam = 'brth', kCtrler3Param = 'ct03', kExpressionParam = 'expr', kPitchBendParam = 'pitb', kSustainParam = 'sust', kAftertouchParam = 'aftt' }
Public Attributes inherited from BaseController
void **obj | SMTG_OVERRIDE
Static Public Attributes inherited from BaseController
static const TChar | kMicroSecondsString [] = {0x00b5, 0x0073, 0x0}
Protected Member Functions inherited from BaseController
double | getSampleRate () const
Protected Attributes inherited from BaseController
int32 | midiCCParamID [kCountCtrlNumber]
double | sampleRate
bool | addBypassParameter

## Constructor & Destructor Documentation

PianoController | ( |  | ) |

~PianoController | ( |  | ) |

## Member Function Documentation

tresult initialize | ( | FUnknown * | context | ) |
| virtual

Reimplemented from BaseController.

tresult terminate | ( |  | ) |
| virtual

Reimplemented from EditControllerEx1.

tresult setParamNormalized | ( | ParamID | tag,
|  | ParamValue | value
| ) |  |
| virtual

Reimplemented from EditController.

tresult getParamStringByValue | ( | ParamID | tag,
|  | ParamValue | valueNormalized,
|  | String128 | string
| ) |  |
| virtual

Reimplemented from EditController.

tresult getParamValueByString | ( | ParamID | tag,
|  | TChar * | string,
|  | ParamValue & | valueNormalized
| ) |  |
| virtual

Reimplemented from EditController.

static FUnknown* createInstance | ( | void * |  | ) |
| inlinestatic

static DECLARE_UID | ( | uid | ,
|  | 0xBAC8AA21 | ,
|  | 0x216D4754 | ,
|  | 0xA7639173 | ,
|  | 0xE3BB5F7A |
| ) |  |
| inlinestatic

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.